//----------------------------------------------------------------------------
// C main line
//----------------------------------------------------------------------------

#include <m8c.h>        // part specific constants and macros
#include "PSoCAPI.h"    // PSoC API definitions for all User Modules
#define adresse_esclave 0x39
#define slave_address 0x0F

	BYTE comlumiere;
	BYTE lumiere;
	BYTE value;
	
void main(void)
{

	LCD_1_Start();
	LCD_1_Position(0,0);
	LCD_1_PrCString("lumiere=");
	M8C_EnableGInt;
	
    I2CHW_1_Start();
	I2CHW_1_EnableMstr();
	I2CHW_1_EnableInt();	
	PGA_1_Start(PGA_1_HIGHPOWER);
	DelSig_Start(DelSig_HIGHPOWER);
	DelSig_StartAD();
	LCD_1_Position(1,0);
	LCD_1_PrCString("Volt en Hex =");

	while(1)
	
		{

		comlumiere=0x83;
		I2CHW_1_bWriteBytes(adresse_esclave,&comlumiere ,1, I2CHW_1_CompleteXfer); // commande lecture lumière
		I2CHW_1_fReadBytes(adresse_esclave,&lumiere,1, I2CHW_1_CompleteXfer); // lecture lumière

		LCD_1_Position(0,9);
		LCD_1_PrHexByte(lumiere);
		
		value=DelSig_cGetDataClearFlag();
		LCD_1_Position(1,14);
		LCD_1_PrHexByte(value);

		I2CHW_1_bWriteBytes(slave_address, &value, 1, I2CHW_1_CompleteXfer);


		
		}
	
}
