//----------------------------------------------------------------------------
// C main line
//----------------------------------------------------------------------------

#include <m8c.h>        // part specific constants and macros
#include "PSoCAPI.h"    // PSoC API definitions for all User Modules
#include <stdio.h>
#define adresse_esclave 0x39
#define slave_address 0x77

	
	BYTE comlumiere;
	BYTE lumiere;
	BYTE comgeneral[2]={0xF4,0x2E};
	BYTE comlecturetemp;

	BYTE MSB_mesure;
	BYTE LSB_mesure;
	
	int i=0;
	int result;
	char str[6];

void main(void)
{

	LCD_1_Start();
	LCD_1_Position(0,0);
	LCD_1_PrCString("lumiere=");
	M8C_EnableGInt;
    I2CHW_1_Start();
	I2CHW_1_EnableMstr();
	I2CHW_1_EnableInt();

	

	while(1)
	
		{
		
	comlumiere=0x83;
		I2CHW_1_bWriteBytes(adresse_esclave,&comlumiere ,1, I2CHW_1_CompleteXfer); // commande lecture lumière
		I2CHW_1_fReadBytes(adresse_esclave,&lumiere,1, I2CHW_1_CompleteXfer); // lecture lumière

		LCD_1_Position(0,9);
		LCD_1_PrHexByte(lumiere);		

		I2CHW_1_bWriteBytes(slave_address, comgeneral ,2, I2CHW_1_CompleteXfer); // commande lecture lumière
		
	comlecturetemp=0xF6;	
		I2CHW_1_bWriteBytes(slave_address, &comlecturetemp ,1, I2CHW_1_CompleteXfer); // commande lecture lumière
		
		for (i=0; i<300
		; i++) // boucle d'attente de 65ms au moins pour une portée maximum.
		{
		}
		
		I2CHW_1_fReadBytes(slave_address, &MSB_mesure,1, I2CHW_1_CompleteXfer); // lecture lumière
		
	comlecturetemp=0xF7;	
		I2CHW_1_bWriteBytes(slave_address, &comlecturetemp ,1, I2CHW_1_CompleteXfer); // commande lecture lumière
		
		for (i=0; i<300
		; i++) // boucle d'attente de 65ms au moins pour une portée maximum.
		{
		}
		
		I2CHW_1_fReadBytes(slave_address, &LSB_mesure,1, I2CHW_1_CompleteXfer); // lecture lumière
		
		result= (MSB_mesure << 8) | LSB_mesure; // concatenage poids fort, poids faible

        csprintf(str,"%d  ",result);// transforme le short int en chaîne de caractères
				
		LCD_1_Position(1,0);
		LCD_1_PrCString("Hex");
		LCD_1_Position(1,3);
		LCD_1_PrHexByte(MSB_mesure);
		LCD_1_Position(1,5);
		LCD_1_PrHexByte(LSB_mesure);
		LCD_1_Position(1,8);
		LCD_1_PrCString("Dec");
		LCD_1_Position(1,11);
		LCD_1_PrString(str);// affiche la chaîne de caractères
		}
	
}
